import Utils from './assets/js/utils';
import chemistryDefaultStyle from './components/DefaultStyle/index';
import chemistryButton from './components/button/index';
import chemistryCarousel from './components/carousel/index';
import chemistryText from './components/text/index';
import chemistryTextArea from './components/textArea/index';
import chemistryTabs from './components/tabs/index';
import chemistryLoader from './components/loader/index';
import chemistryLoaderV2 from './components/loaderV2/index';
import chemistryDate from './components/date/index';
import chemistryDialog from './components/dialog/index';
import chemistryDialogV2 from './components/dialogV2/index';
import chemistryDocument from './components/document/index';
import chemistryModal from './components/modal/index';
import chemistryPhone from './components/phone/index';
import chemistryRadio from './components/radio/index';
import chemistryReadOnly from './components/readOnly/index';
import chemistrySwitch from './components/switch/index';
import chemistryCheckbox from './components/checkbox/index';
import chemistrySelect from './components/select/index';
import chemistryInputCep from './components/inputCep/index';
import chemistryTreeSelect from './components/treeCheckBox';

//create an instance of utils to export.
let util = new Utils();

//components
export { chemistryDefaultStyle, chemistryButton, chemistryCheckbox,
         chemistryCarousel, chemistryDate, chemistryDialog, chemistryDialogV2,
         chemistryDocument, chemistryInputCep, chemistryLoader, chemistryLoaderV2,
         chemistryPhone, chemistryRadio, chemistryTabs, chemistryText, chemistryTextArea,
         chemistryTreeSelect, chemistryReadOnly, chemistryModal, chemistrySelect,
         chemistrySwitch, util
       };